Mailinglist Archive: opensuse-updates (108 mails)

< Previous Next >
openSUSE-SU-2014:0071-1: moderate: update for lightdm-gtk-greeter
openSUSE Security Update: update for lightdm-gtk-greeter
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:0071-1
Rating: moderate
References: #857303
Cross-References: CVE-2014-0979
Affected Products:
openSUSE 13.1
openSUSE 12.3
openSUSE 12.2
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:


- add lightdm-gtk-greeter-handle-invalid-user.patch in
order to fix a NULL pointer dereference after
authentication of an invalid username has failed
(bnc#857303, CVE-2014-0979)
- add lightdm-gtk-greeter-invalid-last_session.patch fix
segfault when last_session is an invalid session
(lp#1161883)
- add lightdm-gtk-greeter-fix-login.patch in order to fix
login/unlock detection


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.1:

zypper in -t patch openSUSE-2014-41

- openSUSE 12.3:

zypper in -t patch openSUSE-2014-41

- openSUSE 12.2:

zypper in -t patch openSUSE-2014-41

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.1 (i586 x86_64):

lightdm-gtk-greeter-1.3.1-5.6.1
lightdm-gtk-greeter-debuginfo-1.3.1-5.6.1
lightdm-gtk-greeter-debugsource-1.3.1-5.6.1

- openSUSE 13.1 (noarch):

lightdm-gtk-greeter-branding-upstream-1.3.1-5.6.1
lightdm-gtk-greeter-lang-1.3.1-5.6.1

- openSUSE 12.3 (i586 x86_64):

lightdm-gtk-greeter-1.3.1-2.5.1
lightdm-gtk-greeter-debuginfo-1.3.1-2.5.1
lightdm-gtk-greeter-debugsource-1.3.1-2.5.1

- openSUSE 12.3 (noarch):

lightdm-gtk-greeter-branding-upstream-1.3.1-2.5.1
lightdm-gtk-greeter-lang-1.3.1-2.5.1

- openSUSE 12.2 (i586 x86_64):

lightdm-gtk-greeter-1.1.6-2.4.1
lightdm-gtk-greeter-debuginfo-1.1.6-2.4.1
lightdm-gtk-greeter-debugsource-1.1.6-2.4.1

- openSUSE 12.2 (noarch):

lightdm-gtk-greeter-branding-upstream-1.1.6-2.4.1
lightdm-gtk-greeter-lang-1.1.6-2.4.1


References:

http://support.novell.com/security/cve/CVE-2014-0979.html
https://bugzilla.novell.com/857303


< Previous Next >
This Thread
  • No further messages